installazione 2.4.17

Sezione dedicata ai problemi con l'installazione e l'aggiornamento del software, con discussioni sulle configurazioni di specifici server o fornitori di hosting.
Rispondi
pranzostef
Messaggi: 67
Iscritto il: 21 apr 2020 22:04

installazione 2.4.17

Messaggio da pranzostef »

Buongiorno a tutti.

sto provando la versione 2.4.17. Ho un problema sulla connessione del DB.
ho anche usato una cartella (Hosting Aruba) contenente la versione 2.4.15 perfettamente funzionante.
anche il DB è ok. Funziona con la 2.4.15.
Cartella svuotata e copiato i file della 2.4.17, db svuotato, stesso errore:
Errore: [object Object]
questo errore mi viene generato alla terza schermata dell'installazione dove inserisci i dati di connessione al DB.
dove posso verificare la situazione? Cosa mi suggerite di fare?
Grazie.
Pranzo Stefano
Castrignano dei Greci (Lecce)
pranzostefano_at_gmail.com

Avatar utente
dasc3er
Messaggi: 1157
Iscritto il: 11 lug 2016 17:41

Re: installazione 2.4.17

Messaggio da dasc3er »

Puoi verificare se sono presenti dei log nei file della cartella logs/?

pranzostef
Messaggi: 67
Iscritto il: 21 apr 2020 22:04

Re: installazione 2.4.17

Messaggio da pranzostef »

si. ho dimenticato di scrivere che l'errore si verifica al Test di connessione al DB.
in allegato il log che si genera.
rinominarlo da .zip a .txt
Allegati
log.zip
rinominare da .zip a .txt
(5.54 KiB) Scaricato 27 volte
Pranzo Stefano
Castrignano dei Greci (Lecce)
pranzostefano_at_gmail.com

Avatar utente
dasc3er
Messaggi: 1157
Iscritto il: 11 lug 2016 17:41

Re: installazione 2.4.17

Messaggio da dasc3er »

Dai messaggi di errore sembra manchi una parte della cartella vendor/.
Puoi provare a cancellare completamente la cartella vendor/ della tua installazione ed estrarre quelle presente all'interno dello zip di aggiornamento?

pranzostef
Messaggi: 67
Iscritto il: 21 apr 2020 22:04

Re: installazione 2.4.17

Messaggio da pranzostef »

fatto. ho cancellato il contenuto e rimesso tutto.
considerate che ho sempre usato lo stesso Zip scaricato.

questa volta mi dice: permessi insufficenti per l'installazione.
Strano, la 2.4.15 andava bene.
proseguo con l'installazione e mi da un errore: " Errore durante l'esecuzione dell'aggiornamento alla versione 2.0 "

Ecco il Log.

[2020-09-03 15:54:01] Logs.EMERGENCY: SQLSTATE[HY000]: General error: 1709 Index column size too large. The maximum column size is 767 bytes. []
{"url":"/gestionall/index.php?action=do_update&firstuse=true","ip":"79.23.252.108","http_method":"GET","server":"www.panatronic.it","referrer":"https://www.panatronic.it/gestionall/","unique_id":"X1D1eKfvG7-38hhgor@0cwAAAAI","uid":"a2f12c6"}
Pranzo Stefano
Castrignano dei Greci (Lecce)
pranzostefano_at_gmail.com

Avatar utente
dasc3er
Messaggi: 1157
Iscritto il: 11 lug 2016 17:41

Re: installazione 2.4.17

Messaggio da dasc3er »

Stai procedendo ad una installazione da zero, giusto?
Pare strano che il problema degli indici si sia presentato immediatamente, poichè lo abbiamo riscontrato solo di recente. Per risolvere, è necessario aggiornare almeno a MySQL 5.7.

pranzostef
Messaggi: 67
Iscritto il: 21 apr 2020 22:04

Re: installazione 2.4.17

Messaggio da pranzostef »

OK. perfetto.
mi sembra che Aruba dia la versione 5.6. Provo a chiedere se si puo' avere una versione piu' recente.

Grazie.
Pranzo Stefano
Castrignano dei Greci (Lecce)
pranzostefano_at_gmail.com

Rispondi